// source: v1/order_private/cancel_claim_private.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var v1_order_common_pb = require('../../v1/order/common_pb.js');
goog.object.extend(proto, v1_order_common_pb);
var v1_order_model_cancel_claim_pb = require('../../v1/order/model_cancel_claim_pb.js');
goog.object.extend(proto, v1_order_model_cancel_claim_pb);
goog.exportSymbol('proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.displayName = 'proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.displayName = 'proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.displayName = 'proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.displayName = 'proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse';
}

/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_cancel_claim_pb.CancelClaim.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest;
  return proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_cancel_claim_pb.CancelClaim;
      reader.readMessage(value,v1_order_model_cancel_claim_pb.CancelClaim.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_cancel_claim_pb.CancelClaim.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.CancelClaim items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelClaim>}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.CancelClaim>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_cancel_claim_pb.CancelClaim, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelClaim>} value
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest} returns this
*/
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaim=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelClaim}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.CancelClaim, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest} returns this
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse;
  return proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse} returns this
*/
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order_private.RejectMultiCancelClaimResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_cancel_claim_pb.CancelClaim.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest;
  return proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_cancel_claim_pb.CancelClaim;
      reader.readMessage(value,v1_order_model_cancel_claim_pb.CancelClaim.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_cancel_claim_pb.CancelClaim.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.CancelClaim items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelClaim>}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.CancelClaim>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_cancel_claim_pb.CancelClaim, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelClaim>} value
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest} returns this
*/
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaim=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelClaim}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.CancelClaim, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest} returns this
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse;
  return proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse} returns this
*/
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order_private.DoneMultiCancelClaimResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};


goog.object.extend(exports, proto.fcp.order.v1.order_private);
